View Issue Details

IDProjectCategoryView StatusLast Update
14156Feature requests[All Projects] Theme editorpublic2018-11-13 18:53
ReporterDenisChenu Assigned To 
PrioritynoneSeverityfeature 
Status newResolutionreopened 
Product Version 
Target VersionFixed in Version3.0 
Summary14156: Need a way to easily disable table to block for particular questions
Description

The last one is here : https://www.limesurvey.org/forum/design-issues/116705-array-type-question,-answer-stacks-on-ipad#175621
But it's not the only case

Additional Information

Easy way : add a specific class and a :not(.forced-table) but this makle a big update.

:not() have a really good support

TagsNo tags attached.

Relationships

related to 14248 new Allow survey theme to add (and use) question attribute 

Activities

DenisChenu

DenisChenu

2018-10-19 17:15

developer   ~49381

Fix committed to master_notforcedtable branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28379

DenisChenu

DenisChenu

2018-10-19 17:16

developer   ~49382

https://github.com/LimeSurvey/LimeSurvey/pull/1149

DenisChenu

DenisChenu

2018-10-21 01:56

developer   ~49388

Close this one : i think i add a new attribute : more easy for user, not so complicated for us, and can allow disable no-more-table for some question but enable it for some other.

DenisChenu

DenisChenu

2018-10-22 00:05

developer   ~49392

https://github.com/LimeSurvey/LimeSurvey/pull/1152

Mazi

Mazi

2018-10-22 08:45

partner   ~49394

I second the approach of using question attributes. But I think a simple "use no more tables" (no/yes, yes being the default value) would be a) easier to use for the user since they only need to switch from yes to no to switch it off and b) be easier for us to document then relying on y certain class name they need to add.

If the value is set to "no" we can still add 2 lines of code to apply a special CSS class.

DenisChenu

DenisChenu

2018-10-22 08:54

developer   ~49395

table-responsive are really specific too and can not be good to all situation.

Link are update when i update manual.

And i think i fix table-responsive to disable max-width and width to set it at auto .

DenisChenu

DenisChenu

2018-10-22 09:07

developer  

table-no-class.png (24,269 bytes)
table-no-class.png (24,269 bytes)
table-no-more.png (30,012 bytes)
table-no-more.png (30,012 bytes)
table-responsive.png (22,304 bytes)
table-responsive.png (22,304 bytes)
DenisChenu

DenisChenu

2018-10-22 09:09

developer   ~49397

And more : can easily add new table system (for little screen) if needed with a select …

For user (a) : it's not more difficult to select 'none' than to uncheck Yes …

DenisChenu

DenisChenu

2018-10-30 17:57

developer   ~49498

https://github.com/LimeSurvey/LimeSurvey/pull/1152

DenisChenu

DenisChenu

2018-11-02 16:13

developer   ~49522

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28453

DenisChenu

DenisChenu

2018-11-02 16:32

developer   ~49523

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28454

DenisChenu

DenisChenu

2018-11-13 18:50

developer   ~49637

Currently dropped for 3.X, project for develop

Related Changesets

LimeSurvey: master_notforcedtable 0a9e130c

2018-10-19 17:15:18

DenisChenu

Details Diff
New feature 14156: Need a way to easily disable table to block for particular questions
Dev: just add forced-table in Class name : done for user
Dev: really don't found a cleaner solution …
Affected Issues
14156
mod - assets/packages/template-core/template-core.css Diff File

LimeSurvey: master c569dca3

2018-11-02 16:12:56

DenisChenu


Committer: GitHub Details Diff
New feature 14156:easily disable no more table for specific questions (#1152)

Dev: add it in attribute
Dev: Add it in plugin
Dev: this allow user to set HIS no-more-table package
Dev: table-reponsive come from boostrap, but can be easily added has a package
Dev: fix table-responsive package (reset width/max-width)
Affected Issues
14156
mod - application/config/version.php Diff File
mod - application/core/LsDefaultDataSets.php Diff File
add - application/core/plugins/tableClassQuestionAttribute/assets/no-more-table/no-more-table.css Diff File
add - application/core/plugins/tableClassQuestionAttribute/assets/table-responsive/table-responsive.css Diff File
add - application/core/plugins/tableClassQuestionAttribute/tableClassQuestionAttribute.php Diff File
mod - application/helpers/update/updatedb_helper.php Diff File
mod - assets/packages/template-core/template-core.css Diff File
mod - installer/create-database.php Diff File

LimeSurvey: master 284896e0

2018-11-02 16:31:42

DenisChenu

Details Diff
Revert "New feature 14156:easily disable no more table for specific questions (#1152)"
This reverts commit c569dca3274af9e776b6f2832a6884253421d44f.
Dev: included template need update … reopen merge request after
Affected Issues
14156
mod - application/config/version.php Diff File
mod - application/core/LsDefaultDataSets.php Diff File
rm - application/core/plugins/tableClassQuestionAttribute/assets/no-more-table/no-more-table.css Diff File
rm - application/core/plugins/tableClassQuestionAttribute/assets/table-responsive/table-responsive.css Diff File
rm - application/core/plugins/tableClassQuestionAttribute/tableClassQuestionAttribute.php Diff File
mod - application/helpers/update/updatedb_helper.php Diff File
mod - assets/packages/template-core/template-core.css Diff File
mod - installer/create-database.php Diff File

Issue History

Date Modified Username Field Change
2018-10-19 17:11 DenisChenu New Issue
2018-10-19 17:15 DenisChenu Changeset attached => LimeSurvey master_notforcedtable 0a9e130c
2018-10-19 17:15 DenisChenu Note Added: 49381
2018-10-19 17:15 DenisChenu Assigned To => DenisChenu
2018-10-19 17:15 DenisChenu Resolution open => fixed
2018-10-19 17:16 DenisChenu Note Added: 49382
2018-10-20 10:18 DenisChenu Assigned To DenisChenu =>
2018-10-21 01:56 DenisChenu Note Added: 49388
2018-10-21 01:56 DenisChenu Assigned To => DenisChenu
2018-10-21 01:56 DenisChenu Status new => assigned
2018-10-22 00:05 DenisChenu Note Added: 49392
2018-10-22 08:45 Mazi Note Added: 49394
2018-10-22 08:54 DenisChenu Note Added: 49395
2018-10-22 09:07 DenisChenu File Added: table-no-class.png
2018-10-22 09:07 DenisChenu File Added: table-no-more.png
2018-10-22 09:07 DenisChenu File Added: table-responsive.png
2018-10-22 09:09 DenisChenu Note Added: 49397
2018-10-30 17:57 DenisChenu Assigned To DenisChenu => LouisGac
2018-10-30 17:57 DenisChenu Status assigned => feedback
2018-10-30 17:57 DenisChenu Note Added: 49498
2018-11-02 16:13 DenisChenu Changeset attached => LimeSurvey master c569dca3
2018-11-02 16:13 DenisChenu Note Added: 49522
2018-11-02 16:13 DenisChenu Assigned To LouisGac => DenisChenu
2018-11-02 16:14 DenisChenu Status feedback => resolved
2018-11-02 16:14 DenisChenu Fixed in Version => 3.0
2018-11-02 16:32 DenisChenu Changeset attached => LimeSurvey master 284896e0
2018-11-02 16:32 DenisChenu Note Added: 49523
2018-11-13 18:49 DenisChenu Assigned To DenisChenu =>
2018-11-13 18:49 DenisChenu Status resolved => feedback
2018-11-13 18:49 DenisChenu Resolution fixed => reopened
2018-11-13 18:50 DenisChenu Status feedback => new
2018-11-13 18:50 DenisChenu Note Added: 49637
2018-11-13 18:53 DenisChenu Relationship added related to 14248